 <?php
                        
require_once ('../inventario/conexion.php');

$objconexion = new conexion();

 $sentenciaselect = "
SELECT (registro_persona.cedula)CEDULA,(registro_persona.nombre)NOMBRE,(registro_persona.apellido)APELLIDO, ('PORTATIL') TIPOASIGNACION, 
(asignacionportatil.serial_portatil)SERIAL, (portatil.ip)IP, (marca_portatil.nombre_marcaportatil)MARCA,
(portatil.nombre_equipo)NOMBRE_EQUIPO
from asignacionportatil 
left join registro_persona on registro_persona.cedula=asignacionportatil.cedula 
inner join portatil on asignacionportatil.serial_portatil = portatil.serial_portatil 
inner join marca_portatil on marca_portatil.id_marcaportatil = portatil.marca_portatil
where asignacionportatil.cedula= '". $_GET['var1']."' and portatil.estado_portatil = 1 

union ALL 


SELECT (registro_persona.cedula)CEDULA,(registro_persona.nombre)NOMBRE,(registro_persona.apellido)APELLIDO, ('CPU') TIPOASIGNACION, 
(asignacioncpu.serial_cpu)SERIAL, (cpu.ip)IP, (marca_cpu.nombre_marcacpu)MARCA, (cpu.nombre_equipo)NOMBRE_EQUIPO
from asignacioncpu 
left join registro_persona on registro_persona.cedula=asignacioncpu.cedula 
inner join cpu on asignacioncpu.serial_cpu = cpu.serial_cpu 
inner join marca_cpu on marca_cpu.id_marcacpu = cpu.marca_cpu
where asignacioncpu.cedula= '". $_GET['var1']."' and cpu.estado_cpu = 1



union ALL 


SELECT (registro_persona.cedula)CEDULA,(registro_persona.nombre)NOMBRE,(registro_persona.apellido)APELLIDO, ('TABLETS') TIPOASIGNACION, 
(asignaciontablets.serial_tablets)SERIAL, (tablets.ip)IP, (marca_tablets.nombre_marcatablets)MARCA,('')NOMBRE_EQUIPO
from asignaciontablets 
left join registro_persona on registro_persona.cedula=asignaciontablets.cedula 
inner join tablets on asignaciontablets.serial_tablets = tablets.serial_tablets
inner join marca_tablets on marca_tablets.id_marcatablets = tablets.marca_tablets
where asignaciontablets.cedula= '". $_GET['var1']."' and tablets.estado_tablets = 1





union ALL 


SELECT (registro_persona.cedula)CEDULA,(registro_persona.nombre)NOMBRE,(registro_persona.apellido)APELLIDO, ('PANTALLA') TIPOASIGNACION, 
(asignacionpantalla.serial_pantalla)SERIAL, ('')IP, (marca_pantalla.nombre_marcapantalla)MARCA,('')NOMBRE_EQUIPO

from asignacionpantalla 
left join registro_persona on registro_persona.cedula=asignacionpantalla.cedula 
inner join pantalla on asignacionpantalla.serial_pantalla = pantalla.serial_pantalla 
inner join marca_pantalla on marca_pantalla.id_marcapantalla = pantalla.marca_pantalla
where asignacionpantalla.cedula= '". $_GET['var1']."' and pantalla.estado_pantalla = 1


union ALL 


SELECT (registro_persona.cedula)CEDULA,(registro_persona.nombre)NOMBRE,(registro_persona.apellido)APELLIDO, ('TECLADO') TIPOASIGNACION, 
(asignacionteclado.serial_teclado)SERIAL,('')IP, ('')MARCA,('')NOMBRE_EQUIPO

from asignacionteclado 
left join registro_persona on registro_persona.cedula=asignacionteclado.cedula 
inner join teclado on asignacionteclado.serial_teclado = teclado.serial_teclado
where asignacionteclado.cedula= '". $_GET['var1']."' and teclado.estado_teclado = 1

union ALL 


SELECT (registro_persona.cedula)CEDULA,(registro_persona.nombre)NOMBRE,(registro_persona.apellido)APELLIDO, ('MOUSE') TIPOASIGNACION, 
(asignacionmouse.serial_mouse)SERIAL, ('')IP, ('')MARCA,('')NOMBRE_EQUIPO
from asignacionmouse 
left join registro_persona on registro_persona.cedula=asignacionmouse.cedula 
inner join mouse on asignacionmouse.serial_mouse = mouse.serial_mouse 
where asignacionmouse.cedula= '". $_GET['var1']."' and mouse.estado_mouse = 1

union ALL 


SELECT (registro_persona.cedula)CEDULA,(registro_persona.nombre)NOMBRE,(registro_persona.apellido)APELLIDO, ('CAMARA')
 TIPOASIGNACION, (asignacioncamara.serial_camara)SERIAL, ('')IP, ('')MARCA,('')NOMBRE_EQUIPO 
 from asignacioncamara left join registro_persona on registro_persona.cedula=asignacioncamara.cedula
  inner join camara on asignacioncamara.serial_camara = camara.serial_camara 
  where asignacioncamara.cedula= '". $_GET['var1']."' and camara.estado_camara = 1

union ALL 


SELECT (registro_persona.cedula)CEDULA,(registro_persona.nombre)NOMBRE,(registro_persona.apellido)APELLIDO, ('IMPRESORA') TIPOASIGNACION, 
(asignacioimpresora.serial_impresora)SERIAL, ('')IP, ('')MARCA,('')NOMBRE_EQUIPO from asignacioimpresora 
left join registro_persona on registro_persona.cedula=asignacioimpresora.cedula 
inner join impresoras on asignacioimpresora.serial_impresora = impresoras.serial_impresora 
where asignacioimpresora.cedula= '". $_GET['var1']."' and impresoras.estado_impresora = 1"; 

$arreglo = $objconexion->consultararraynum($sentenciaselect);
mostrar($arreglo);
 	
function mostrar($inarreglo)
{
    $numfilas=count($inarreglo);                           

    for ($i=0; $i<$numfilas; $i++){
         echo "<tr>";
         $numcolumnas = count ($inarreglo[$i]);


    for ($j=0; $j<$numcolumnas; $j++){

        echo "<td>";
        echo $inarreglo[$i][$j];
        echo "</td>";


    }
     echo "
    <td><form target='_blank'><input type='checkbox' style='height:20%, width:20%' value='Bike' width=70 height = 80></form></td>
                                                        
    </form>";
    echo "</tr>";
    echo "</tr>";
}
}


?>